Name:       qbs
Version:    1.0.1
Release:    2%{?dist}
Summary:    Next-generation build system for projects
License:    LGPLv2 with exceptions
URL:        http://qt-project.org/wiki/qbs
Source0:    http://releases.qt-project.org/%{name}/%{version}/%{name}-src-%{version}.tar.gz
# The path for the plugins was hardcoded to <prefix>/lib
# See: https://bugreports.qt-project.org/browse/QBS-343
Patch0:     %{name}-fix-64bit-lib-destination.patch
BuildRequires:  qt4-devel

%description
The Qt Build Suite (Qbs) is a tool that helps simplify the build process for
developing projects across multiple platforms. Qbs can be used for any software
project, whether it is written in Qt or not.

Qbs is an all-in-one tool that generates a build graph from a high-level
project description (like qmake or cmake) and additionally undertakes the task
of executing the commands in the low-level build graph (like make).

%package devel
Summary:    Development files for qbs
License:    LGPLv2 with exceptions
Requires:   %{name}%{?_isa} = %{version}-%{release}

%description devel
This package is required to write own modules for

%package gui
Summary:    UI support for configuring qbs
License:    LGPLv2 with exceptions
Requires:   %{name}%{?_isa} = %{version}-%{release}

%description gui
Provides a UI based help program for configuring qbs

%package qt
Summary:    Qt support for qbs
License:    LGPLv2 with exceptions
Requires:   %{name}%{?_isa} = %{version}-%{release}

%description qt
Provides Qt support for the Qt Build Suite (qbs)

%package cpp
Summary:    C++ support for qbs
License:    LGPLv2 with exceptions
Requires:   %{name}%{?_isa} = %{version}-%{release}

%description cpp
Provides C++ support for the Qt Build Suite (qbs)

%package doc
Summary:    Documentation for qbs
License:    GFDL
BuildArch:  noarch

%description doc
HTML documentation for the Qt Build Suite

%prep
%setup -q
%patch0 -p1

%build
qmake-qt4 %{name}.pro -r \
    QBS_INSTALL_PREFIX=%{_prefix} \
    QBS_LIB_INSTALL_DIR=%{_libdir} \
    CONFIG+=disable_rpath

make %{?_smp_mflags}
make html_docs %{?_smp_mflags}

%install
make install INSTALL_ROOT=%{buildroot}
make install_docs INSTALL_ROOT=%{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%{_bindir}/%{name}
%{_bindir}/%{name}-config
%{_bindir}/%{name}-detect-toolchains
%{_bindir}/%{name}-qmltypes
%{_datadir}/%{name}/imports/
%{_datadir}/%{name}/modules/qbs/
%{_datadir}/%{name}/modules/utils.js
%dir %{_datadir}/%{name}/modules/
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/plugins/
%{_libdir}/lib%{name}core.so.*

%doc LICENSE.LGPL LGPL_EXCEPTION.txt README

%files devel
%{_includedir}/%{name}/
%{_libdir}/lib%{name}core.so

%files gui
%{_bindir}/%{name}-config-ui

%files qt
%{_bindir}/%{name}-setup-madde-platforms
%{_bindir}/%{name}-setup-qt
%{_datadir}/%{name}/modules/Qt/
%{_libdir}/%{name}/plugins/lib%{name}_qt_scanner.so

%files cpp
%{_datadir}/%{name}/modules/cpp
%{_libdir}/%{name}/plugins/lib%{name}_cpp_scanner.so

%files doc
%{_docdir}/%{name}/

%changelog
* Thu Jul 4 2013 Erik Schilling <ablu.erikschilling@googlemail.com> 1.0.1-2
- Tried to make the summary of the main package better
- Splitted the ui part in order to prevent depedency on ui libs for the core packages
- Fixed ownership of the plugins (they are now actually owned by their subpackages)
- Fixed ownership of some directories
- Moved %%doc to the main package
- Made the requirement of the base package arch-specific
- Fixed html doc installation
- Made the doc package noarch

* Mon Jun 10 2013 Erik Schilling <ablu.erikschilling@googlemail.com> 1.0.1-1
- Initial packaging
